Subject: bug#65250: 30.0.50; "C-h f" is much slower on the master branch

From: Andrea Corallo <[email-masked]>
Date: Wed, 16 Aug 2023 09:55:19 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 16 Aug 2023 04:37:36 -0400
>> 
>> Okay I pushed 2eaf1e3efca to always byte-compile native comp related
>> files also on non native builds.
>
> Thanks.
>
>> Also thinking better about it, I think if this fix is sufficient to make
>> C-h f sufficiently fast in your test conditions we should revert
>> 545f95d1a32.
>
> Done.
>
>> Before installing it, even in non native builds, C-h f was showing the
>> type for functions listed in `comp-known-type-specifiers'.
>
> How can I see this capability?

Should be sufficient say 'C-h f +'.

(+ or any function in comp-known-type-specifiers).

Best Regards

  Andrea